<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MInputGUIArgIC Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MInputGUIArgIC Struct Reference<br/>
<small>
[<a class="el" href="group__m17nInputMethodWin.html">Input Method (GUI)</a>]</small>
</h1><!-- doxytag: class="MInputGUIArgIC" -->
<p>Type of the argument to the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a>.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputGUIArgIC.html#ab6896b151a4ab6db3070f35eb28d8c68">frame</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputGUIArgIC.html#a8005530d7b344cd223f5172e2a94cd96">client</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputGUIArgIC.html#a13e3388f33a44266b0a3a4ca8aee76d7">focus</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Type of the argument to the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a>. </p>
<p>The type <a class="el" href="structMInputGUIArgIC.html" title="Type of the argument to the function minput_create_ic().">MInputGUIArgIC</a> is for the argument <b>arg</b> of the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a> to create an input context of an internal input method. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ab6896b151a4ab6db3070f35eb28d8c68"></a><!-- doxytag: member="MInputGUIArgIC::frame" ref="ab6896b151a4ab6db3070f35eb28d8c68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>* <a class="el" href="structMInputGUIArgIC.html#ab6896b151a4ab6db3070f35eb28d8c68">MInputGUIArgIC::frame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Frame of the client. </p>

</div>
</div>
<a class="anchor" id="a8005530d7b344cd223f5172e2a94cd96"></a><!-- doxytag: member="MInputGUIArgIC::client" ref="a8005530d7b344cd223f5172e2a94cd96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> <a class="el" href="structMInputGUIArgIC.html#a8005530d7b344cd223f5172e2a94cd96">MInputGUIArgIC::client</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Window on which to display the preedit and status text. </p>

</div>
</div>
<a class="anchor" id="a13e3388f33a44266b0a3a4ca8aee76d7"></a><!-- doxytag: member="MInputGUIArgIC::focus" ref="a13e3388f33a44266b0a3a4ca8aee76d7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> <a class="el" href="structMInputGUIArgIC.html#a13e3388f33a44266b0a3a4ca8aee76d7">MInputGUIArgIC::focus</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Window that the input context has a focus on. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
